Page MenuHomePhabricator

Which feature proposals are you opposed to during the next development cycle?
Closed, ResolvedPublic

Description

There are two polls.

Both polls list available development options during the next 12-week cycle.

Please read over both polls and express your opinion on which features you oppose spending time developing towards the 1.22 EFL release.

The two polls are:

https://phab.enlightenment.org/V36

and

https://phab.enlightenment.org/V37

Related Objects

netstar created this task.Aug 13 2018, 5:01 AM
netstar triaged this task as High priority.
netstar raised the priority of this task from High to Showstopper Issues.

Who is supposed to vote? In T7169 (bullet point 2) it is said that only core developers vote. Does that mean committers , probies, or who?

zmike added a subscriber: zmike.Aug 13 2018, 6:52 AM

Core developers is imo anyone who is significantly active in the project, not necessarily limted to committers.

According to T7169, any item which receives 5+ committers votes is definitely deferred; in a situation where, e.g., 3 committers and 2 reviewers vote on an item, then it would fall to the release team to decide how to handle the item. My expectation would be that all core developers would follow the arguments against proposals and make their votes accordingly.

Also, maybe it's too late for asking this but, why is the polling in negative form (what features are you opposed to)?
I know very little about most of the features in the list, so I do not feel inclined to vote against somebody else's work :/

I would gladly give +1 to the features I am working on, but it feels evil to give -1 to other people...

zmike added a comment.Aug 13 2018, 7:17 AM

The difference in perspective shapes how people will respond. With this approach we are by default assuming that all proposals are good and will be accepted, and people must put work into rejecting them if they have strong feelings.

If we were to reverse this and require voting to accept proposals, then we are inherently assuming all proposals are bad--no action on a proposal means it is rejected--and more effort is required by anyone just to have any proposals accepted.

The point of voting against proposals is that it requires a technical argument: treat it like patch review.

How do I add items to the voting?

You cannot. The proposal window is closed for this round of voting. 5 weeks from now there will be a second round of voting to include additional features which are proposed at that time.

raster added a subscriber: raster.Aug 17 2018, 6:59 PM

this is a bit of a problem as you can vote only for 1 item...

zmike closed this task as Resolved.Aug 20 2018, 5:02 AM

Voting is now ended for this proposal period.